Bug 854207 - SELinux is preventing /usr/bin/gtk-gnash from read access on the file pulse-shm-2976868645
SELinux is preventing /usr/bin/gtk-gnash from read access on the file pulse-s...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnash (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Hicham HAOUARI
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 07:09 EDT by Massimiliano
Modified: 2013-07-05 09:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-05 09:21:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Massimiliano 2012-09-04 07:09:53 EDT
Description of problem:
Firefox warning on url http://osdir.com/ml/evolution-list/2010-04/msg00039.html

Additional info:

SELinux is preventing /usr/bin/gtk-gnash from read access on the file pulse-shm-2976868645.

*****  Plugin catchall (100. confidence) suggests  ***************************

If si crede che gtk-gnash dovrebbe avere possibilità di accesso read sui pulse-shm-2976868645 file in modo predefinito.
Then si dovrebbe riportare il problema come bug.
E' possibile generare un modulo di politica locale per consentire questo accesso.
Do
consentire questo accesso per il momento eseguendo:
# grep gtk-gnash /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:object_r:tmpfs_t:s0
Target Objects                pulse-shm-2976868645 [ file ]
Source                        gtk-gnash
Source Path                   /usr/bin/gtk-gnash
Port                          <Sconosciuto>
Host                          myworkstation
Source RPM Packages           gnash-0.8.10-2.fc17.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.10.0-146.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     myworkstation
Platform                      Linux myworkstation 3.5.3-1.fc17.x86_64
                              #1 SMP Wed Aug 29 18:46:34 UTC 2012 x86_64 x86_64
Alert Count                   148
First Seen                    2012-09-04 12:48:56 CEST
Last Seen                     2012-09-04 12:59:53 CEST
Local ID                      993da3a9-8fe7-4cf9-a180-7aaec7a7266a

Raw Audit Messages
type=AVC msg=audit(1346756393.637:309): avc:  denied  { read } for  pid=8149 comm="gtk-gnash" name="pulse-shm-2976868645" dev="tmpfs" ino=970188 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmpfs_t:s0 tclass=file


type=SYSCALL msg=audit(1346756393.637:309): arch=x86_64 syscall=open success=no exit=EACCES a0=7fffcf5bd320 a1=a0000 a2=0 a3=0 items=0 ppid=1685 pid=8149 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=gtk-gnash exe=/usr/bin/gtk-gnash subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: gtk-gnash,mozilla_plugin_t,tmpfs_t,file,read

audit2allow

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t tmpfs_t:file read;

audit2allow -R

#============= mozilla_plugin_t ==============
allow mozilla_plugin_t tmpfs_t:file read;
Comment 1 Fedora End Of Life 2013-07-03 18:37:07 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Massimiliano 2013-07-04 15:28:29 EDT
The bug is not present in F18. The above URL plays without warnings:

$ rpm -qa \*gnash\*
gnash-0.8.10-4.fc18.i686
gnash-plugin-0.8.10-4.fc18.i686
Comment 3 Massimiliano 2013-07-05 09:21:50 EDT
The bug is not present anymore in F17.

Note You need to log in before you can comment on or make changes to this bug.